const Git = require("simple-git");
const inquirer = require("inquirer");
const report = require("yurnalist");
const _ = require("lodash");

const myGit = require("../branches");
const log = require("../log");

module.exports = async (yargs) => {
  if (!(await myGit.isClean())) {
    log.error("workspace not clean, aborting");
    return;
  }

  const current = await myGit.currentBranch();

  log.success(`W00t! marking branch '${current}' as done`);

  await Git().addConfig(`branch.${current}.mikado-done`, true);
};
